Subject: RE: (ngtrans) Why do the 6to4-6bone relays work so badly? Is it possible to use 2002:c058:6301:: with XP?

From: "Brian Zill" <[email-masked]>
Date: Mon, 4 Nov 2002 11:48:01 -0800

Actually, our implementation makes no such assumption.  The relay
discovery mechanism in XP makes a *guess* as to what the IID part of the
relay router's address is, but it doesn't require that guess to be
correct in order to work (it sets the HopCount on the probe so that
it'll get an ICMP hop count exceeded message back if the guess was
wrong).

If people are experiencing trouble reaching parts of the 6bone via 6to4
relays, I suspect the real problem is that some 6bone folks aren't
propagating the 2002::/16 route properly.

--Brian

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]] 
> Sent: Monday, November 04, 2002 10:15
> To: Tony Hain
> Cc: 'Anssi Porttikivi'; [email-masked]
> Subject: RE: (ngtrans) Why do the 6to4-6bone relays work so 
> badly? Is it possible to use 2002:c058:6301:: with XP?
> 
> 
> On Mon, 4 Nov 2002, Tony Hain wrote:
> > Pekka Savola wrote:
> > > The Microsoft implementation makes a ludicrous assumption
> > > (that the relay address is 2002:<V4ADDR>::<V4DDR>, note the 
> > > IID part) which seem to be only true for their relay.
> > >  
> > > Bad for IPv6 but I guess they deserved it.
> > 
> > That is the only reasonable choice when there is only a A record to 
> > work from.
> 
> No.
> 
> There is _no_ data to make _any_ determination of the _interface ID_.
> 
> Thus, anything that would be depend on the IID must not be used.
> 
> (If I'd want to guess the IID, I'd try :: or ::1, but that's not the 
> point.)
> 
> -- 
> Pekka Savola                 "Tell me of difficulties surmounted,
> Netcore Oy                   not those you stumble over and fall"
> Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords
> 
>